<?php
/*
 * カレンダーを表示
 *
 * CalendarDateが作成したCalendarEntityの配列を元に表示します。
 *
 * ver 1.0 2007/11/19
 * t-fujishima@a-pock.co.jp
 */
define('COLOR_HOLIDAY','#e06897');
define('COLOR_SUNDAY','#FFCCFF');
define('COLOR_SATURDAY','#CCFFFF');
?>
<html>
<head>
	<meta HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=utf-8">
<style type="text/css" media="all">
<!--
table {width: 100%; }
td {width: 13%; font-size: x-small; }
-->
</style>
</head>
<body>
<table BORDER="0">
	<tr>
		<td>
			<a href="<?=CONTROL_FILE?>?year=<?php echo ($month <= 1) ? $year-1 : ($year); ?>&month=<?php echo ($month <= 1) ? 12 : $month-1; ?>" onMouseOver=this.style.color='red' onMouseOut=this.style.color='blue'>前月</A>		</td>
		<td><P ALIGN="CENTER">
			<FONT SIZE=6><B><?php echo $year."年";  echo $month."月"; ?></B></FONT>		</td>
		<td><P ALIGN="RIGHT">
			<A href="<?=CONTROL_FILE?>?year=<?php echo ($month >= 12) ? $year+1 : $year; ?>&month=<?php echo ($month >= 12) ? 1 : $month+1; ?>" onMouseOver=this.style.color='red' onMouseOut=this.style.color='blue'>次月</A>		</td>
	</tr>
</table>

<table BORDER="3" CELLSPACING="1" CELLPADDING="1">
	<tr>
		<td BGCOLOR="<?=COLOR_SUNDAY?>">
			<P ALIGN="CENTER"><FONT COLOR="red"><B>日</B></FONT>
		</td>
		<td>
			<P ALIGN="CENTER"><B>月</B>
		</td>
		<td>
			<P ALIGN="CENTER"><B>火</B>
		</td>
		<td>
			<P ALIGN="CENTER"><B>水</B>
		</td>
		<td>
			<P ALIGN="CENTER"><B>木</B>
		</td>
		<td>
			<P ALIGN="CENTER"><B>金</B>
		</td>
		<td BGCOLOR="<?=COLOR_SATURDAY?>">
			<P ALIGN="CENTER"><FONT COLOR="blue"><B>土</B></FONT>
		</td>
	</tr>
<?php
	$size = count($entities);

	$day = 0; // 日付
	$week_count = 0;

	echo "<tr>";

	foreach ($entities as $ent) {
		
		$day++;
		
		if ($ent->getWeek() != $week_count) {
			while($week_count < 50) {
				echo "<td></td>";
				$week_count++;
				if ($ent->getWeek() == $week_count) {
					break; // 月初の同じ曜日までカラのセルを挿入
				}
			}
		}

		$color = "#FFFFFF";
		$title = "";
		if ($ent->isHoliday()) {
			$color = COLOR_HOLIDAY;
			$title = $ent->getTitle();
		} else if ($ent->isSunday()) {
			$color = COLOR_SUNDAY;
		} else if ($ent->isSaturday()) {
			$color = COLOR_SATURDAY;
		}
		$contents = $ent->getContents();
		
		echo "<td bgcolor=".$color."><b>".$day."</b>".$title."<br/>".$contents."</td>";

		$week_count++;
		if ($week_count >= 7) {
			$week_count = 0;
			echo "</tr><tr>";
		}
	}
	if ($week_count < 7) {
		for ($i = $week_count; $i < 7; $i++) {
				echo "<td></td>";
		}
	}
	echo "</tr>";
?>
</table>
</body>
</html>